## nextcloud-desktop 3.16.2

=== debian/changelog ===
nextcloud-desktop (3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * remove upstream applied patch.
  * Update patch hunks.

 -- Sandro Knauß <hefee@debian.org>  Sat, 05 Apr 2025 20:14:42 +0200

## nextcloud-desktop 3.16.4

=== doc/Makefile ===

# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  pdf        to make PDF files"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:   html-com

html-all: html-release html-com

html-release:
	$(SPHINXBUILD) -b html -D html_theme='nextcloud_release' $(ALLSPHINXOPTS) $(BUILDDIR)/html/release
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/release."

html-com:
	$(SPHINXBUILD) -b html -D html_theme='nextcloud_com' $(ALLSPHINXOPTS) $(BUILDDIR)/html/com
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/com."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/OwncloudDocumentation.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/OwncloudDocumentation.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/OwncloudDocumentation"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/OwncloudDocumentation"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

pdf:
	$(SPHINXBUILD) -b pdf $(ALLSPHINXOPTS) $(BUILDDIR)/pdf
	@echo
	@echo "build finished. the text files are in $(BUILDDIR)/pdf."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "build finished. the text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== test/CMakeLists.txt ===
include(DefinePlatformDefaults)

include(nextcloud_add_test.cmake)

set(CMAKE_AUTOMOC TRUE)

find_package(Qt${QT_VERSION_MAJOR}Core5Compat ${REQUIRED_QT_VERSION} CONFIG QUIET)

add_library(testutils
  STATIC
  syncenginetestutils.cpp
  pushnotificationstestutils.cpp
  themeutils.cpp
  testhelper.cpp
  sharetestutils.cpp
  endtoendtestutils.cpp
  activitylistmodeltestutils.cpp
)

target_link_libraries(testutils PUBLIC Nextcloud::sync Qt::Test Qt::Core5Compat)
target_include_directories(testutils PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
set_target_properties(testutils PROPERTIES FOLDER Tests)

nextcloud_add_test(NextcloudPropagator)

IF(BUILD_UPDATER)
    nextcloud_add_test(Updater)
endif()

nextcloud_add_test(NetrcParser)
nextcloud_add_test(OwnSql)
nextcloud_add_test(SyncJournalDB)
nextcloud_add_test(SyncFileItem)
nextcloud_add_test(ConcatUrl)
nextcloud_add_test(Cookies)
nextcloud_add_test(XmlParse)
nextcloud_add_test(ChecksumValidator)

nextcloud_add_test(ClientSideEncryption)
nextcloud_add_test(ClientSideEncryptionV2)

if (NOT APPLE)
    nextcloud_add_test(ExcludedFiles)
endif()

nextcloud_add_test(Utility)

if (NOT APPLE)
    nextcloud_add_test(SyncEngine)
    nextcloud_add_test(SyncVirtualFiles)
endif()

nextcloud_add_test(SyncMove)
nextcloud_add_test(SyncDelete)
nextcloud_add_test(SyncConflict)
nextcloud_add_test(SyncFileStatusTracker)
nextcloud_add_test(Download)
nextcloud_add_test(ChunkingNg)
nextcloud_add_test(AsyncOp)
nextcloud_add_test(UploadReset)
nextcloud_add_test(AllFilesDeleted)
nextcloud_add_test(Blacklist)
nextcloud_add_test(LocalDiscovery)
nextcloud_add_test(RemoteDiscovery)

if (NOT APPLE)
    nextcloud_add_test(Permissions)
endif()

nextcloud_add_test(SelectiveSync)
nextcloud_add_test(DatabaseError)
nextcloud_add_test(LockedFiles)

if (NOT WIN32)
    nextcloud_add_test(FolderWatcher)
endif()

nextcloud_add_test(Capabilities)
nextcloud_add_test(PushNotifications)
nextcloud_add_test(Theme)
nextcloud_add_test(IconUtils)
nextcloud_add_test(SetUserStatusDialog)
nextcloud_add_test(UnifiedSearchListmodel)
nextcloud_add_test(ActivityListModel)
nextcloud_add_test(SortedActivityListModel)
nextcloud_add_test(ActivityData)
nextcloud_add_test(TalkReply)
nextcloud_add_test(LockFile)
nextcloud_add_test(ShareModel)
nextcloud_add_test(ShareeModel)
nextcloud_add_test(SortedShareModel)
nextcloud_add_test(SecureFileDrop)
nextcloud_add_test(FileTagModel)
nextcloud_add_test(SyncConflictsModel)
nextcloud_add_test(DateFieldBackend)
nextcloud_add_test(ClientStatusReporting)

nextcloud_add_test(FolderStatusModel)

target_link_libraries(SecureFileDropTest PRIVATE Nextcloud::sync)
configure_file(fake2eelocksucceeded.json "${PROJECT_BINARY_DIR}/bin/fake2eelocksucceeded.json" COPYONLY)
configure_file(fakefiledrope2eefoldermetadata.json "${PROJECT_BINARY_DIR}/bin/fakefiledrope2eefoldermetadata.json" COPYONLY)
configure_file(e2etestsfakecert.pem "${PROJECT_BINARY_DIR}/bin/e2etestsfakecert.pem" COPYONLY)
configure_file(e2etestsfakecertprivatekey.pem "${PROJECT_BINARY_DIR}/bin/e2etestsfakecertprivatekey.pem" COPYONLY)
configure_file(e2etestsfakecertpublickey.pem "${PROJECT_BINARY_DIR}/bin/e2etestsfakecertpublickey.pem" COPYONLY)
configure_file(fake2eelocksucceeded.json "${PROJECT_BINARY_DIR}/bin/fakeshortcut.base64" COPYONLY)


if(ADD_E2E_TESTS)
    nextcloud_add_test(E2eServerSetup)
    nextcloud_add_test(E2eFileTransfer)
else()
    nextcloud_build_test(E2eServerSetup)
    nextcloud_build_test(E2eFileTransfer)
endif()

if( UNIX AND NOT APPLE )
    nextcloud_add_test(InotifyWatcher)
endif(UNIX AND NOT APPLE)

if (WIN32)
    include_directories(
        ${CMAKE_BINARY_DIR}/src/libsync/vfs/cfapi
    )

    nextcloud_add_test(SyncCfApi)
	nextcloud_add_test(CfApiShellExtensionsIPC)
    target_sources(CfApiShellExtensionsIPCTest PRIVATE "${CMAKE_SOURCE_DIR}/src/libsync/vfs/cfapi/shellext/thumbnailprovideripc.cpp" "${CMAKE_SOURCE_DIR}/src/libsync/vfs/cfapi/shellext/customstateprovideripc.cpp" "${CMAKE_SOURCE_DIR}/src/libsync/vfs/cfapi/shellext/ipccommon.cpp")
elseif(LINUX) # elseif(LINUX OR APPLE)
    nextcloud_add_test(SyncXAttr)
endif()

nextcloud_add_test(LongPath)
nextcloud_add_benchmark(LargeSync)

nextcloud_add_test(Account)
nextcloud_add_test(FolderMan)
nextcloud_add_test(RemoteWipe)

configure_file(test_journal.db "${PROJECT_BINARY_DIR}/bin/test_journal.db" COPYONLY)

find_package(CMocka)
if (CMOCKA_FOUND)
    include(AddCMockaTest)
    add_subdirectory(csync)
endif (CMOCKA_FOUND)

=== admin/osx/CMakeLists.txt ===

# Check if variable MAC_INSTALLER_BACKGROUND_FILE is defined.
# Make sure that the MAC_INSTALLER_BACKGROUND_FILE contains the full path, ie.
# includes CMAKE_SOURCE_DIR or so.

if (DEFINED MAC_INSTALLER_BACKGROUND_FILE )
  set(MAC_INSTALLER_DO_CUSTOM_BACKGROUND "1")
else()
  set(MAC_INSTALLER_DO_CUSTOM_BACKGROUND "0")
endif()

find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} COMPONENTS Core REQUIRED)
configure_file(create_mac.sh.cmake ${CMAKE_CURRENT_BINARY_DIR}/create_mac.sh)
configure_file(macosx.pkgproj.cmake ${CMAKE_CURRENT_BINARY_DIR}/macosx.pkgproj)
configure_file(pre_install.sh.cmake ${CMAKE_CURRENT_BINARY_DIR}/pre_install.sh)
configure_file(post_install.sh.cmake ${CMAKE_CURRENT_BINARY_DIR}/post_install.sh)

=== shell_integration/dolphin/CMakeLists.txt ===
project(dolphin-owncloud)

cmake_minimum_required(VERSION 3.16)

if(KF6KIO_FOUND)
    set(QT_MAJOR_VERSION "6")
    set(QT_MIN_VERSION "6.6.0")
    set(KF_MIN_VERSION "5.240.0")
else()
    set(QT_MAJOR_VERSION "5")
    set(QT_MIN_VERSION "5.15.0")
    set(KF_MIN_VERSION "5.16.0")
endif()

set(KDE_INSTALL_USE_QT_SYS_PATHS ON CACHE BOOL "Install the plugin in the right directory")

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Network)

find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS CoreAddons KIO)

set(KDE_INSTALL_DIRS_NO_DEPRECATED TRUE)
include(KDEInstallDirs)
# Before KF${QT_MAJOR_VERSION} 5.54, kcoreaddons_add_plugin uses deprecated VAR PLUGIN_INSTALL_DIR
# when that is fixed and you want to remove this workaround,
# you need to _require_ the new enough kcoreaddons
set(PLUGIN_INSTALL_DIR "${KDE_INSTALL_PLUGINDIR}")
include(KDECMakeSettings)
include(KDECompilerSettings)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

#---HELPER---
set(OWNCLOUDDOLPHINHELPER ${APPLICATION_EXECUTABLE}dolphinpluginhelper)
add_library(${OWNCLOUDDOLPHINHELPER} SHARED
    ownclouddolphinpluginhelper.h
    ownclouddolphinpluginhelper.cpp)
target_link_libraries(${OWNCLOUDDOLPHINHELPER} Qt${QT_MAJOR_VERSION}::Network)
generate_export_header(${OWNCLOUDDOLPHINHELPER} BASE_NAME ownclouddolphinpluginhelper)
install(TARGETS ${OWNCLOUDDOLPHINHELPER} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

#---OVERLAY PLUGIN---
set(OWNCLOUDDOLPHINOVERLAYPLUGIN ${APPLICATION_EXECUTABLE}dolphinoverlayplugin)
if(KF6KIO_FOUND)
    kcoreaddons_add_plugin(${OWNCLOUDDOLPHINOVERLAYPLUGIN} INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/overlayicon"
                           SOURCES ownclouddolphinoverlayplugin.cpp)
else()
    kcoreaddons_add_plugin(${OWNCLOUDDOLPHINOVERLAYPLUGIN} INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/overlayicon"
                           JSON ownclouddolphinoverlayplugin.json SOURCES ownclouddolphinoverlayplugin.cpp)
endif()
target_link_libraries(${OWNCLOUDDOLPHINOVERLAYPLUGIN} KF${QT_MAJOR_VERSION}::CoreAddons KF${QT_MAJOR_VERSION}::KIOCore KF${QT_MAJOR_VERSION}::KIOWidgets ${OWNCLOUDDOLPHINHELPER})

#---ACTION PLUGIN---
set(OWNCLOUDDOLPHINACTIONPLUGIN ${APPLICATION_EXECUTABLE}dolphinactionplugin)
configure_file(ownclouddolphinactionplugin.json.in ${OWNCLOUDDOLPHINACTIONPLUGIN}.json ESCAPE_QUOTES @ONLY)
kcoreaddons_add_plugin(${OWNCLOUDDOLPHINACTIONPLUGIN} INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/kfileitemaction"
                       SOURCES ownclouddolphinactionplugin.cpp)
target_link_libraries(${OWNCLOUDDOLPHINACTIONPLUGIN} KF${QT_MAJOR_VERSION}::CoreAddons KF${QT_MAJOR_VERSION}::KIOCore KF${QT_MAJOR_VERSION}::KIOWidgets ${OWNCLOUDDOLPHINHELPER})

=== src/gui/socketapi/CMakeLists.txt ===
target_sources(nextcloudCore PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/socketapi.h
    ${CMAKE_CURRENT_SOURCE_DIR}/socketapi.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/socketuploadjob.h
    ${CMAKE_CURRENT_SOURCE_DIR}/socketuploadjob.cpp
)

if( APPLE )
    target_sources(nextcloudCore PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/socketapi_mac.mm)
endif()

=== debian/changelog ===
nextcloud-desktop (3.16.4-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 3.16.2-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 30 Apr 2025 03:46:17 +0000]
  * Remove armhf from qtwebengine architecture lists.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 05 Sep 2025 05:53:13 +0000

nextcloud-desktop (3.16.4-1) unstable; urgency=medium

  * New upstream release.
  * Update patch hunks.
  * Remove postal address of Free Software Foundation in d/copyright.

 -- Sandro Knauß <hefee@debian.org>  Sat, 03 May 2025 23:57:43 +0200

=== debian/control ===
Source: nextcloud-desktop
Section: net
Priority: optional
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Alf Gaida <agaida@siduction.org>,
Build-Depends: debhelper-compat (= 13), cmake (>= 3.16~),
Build-Depends-Arch: dh-sequence-qmldeps,
                    doxygen,
                    extra-cmake-modules (>= 5.240.0),
                    libcloudproviders-dev (>= 0.3.3),
                    libcmocka-dev,
                    libdbus-1-dev,
                    libinotify-dev [kfreebsd-any],
                    libkf6archive-dev,
                    libkf6coreaddons-dev,
                    libkf6guiaddons-dev,
                    libkf6kio-dev,
                    libp11-dev,
                    librsvg2-bin,
                    libsqlite3-dev (>= 3.9.0~),
                    libssl-dev (>= 1.1~),
                    pkgconf,
                    python3-sphinx,
                    qml6-module-qt5compat-graphicaleffects,
                    qml6-module-qtmultimedia,
                    qt6-5compat-dev,
                    qt6-base-dev (>= 6.7.0~),
                    qt6-declarative-dev (>= 6.7.0~),
                    qt6-svg-dev,
                    qt6-tools-dev,
                    qt6-webengine-dev [amd64 arm64 i386],
                    qt6-websockets-dev,
                    qtkeychain-qt6-dev,
                    xauth <!nocheck>,
                    xvfb <!nocheck>,
                    zlib1g-dev,
Build-Depends-Indep: dh-sequence-sphinxdoc,
                     appstream,
                     jdupes,
                     libkf6archive-dev,
                     libkf6guiaddons-dev,
                     libp11-dev,
                     librsvg2-bin,
                     libsqlite3-dev (>= 3.9.0~),
                     libssl-dev (>= 1.1~),
                     pkgconf,
                     python3-sphinx,
                     qt6-5compat-dev,
                     qt6-base-dev (>= 6.7.0~),
                     qt6-declarative-dev (>= 6.7.0~),
                     qt6-svg-dev,
                     qt6-tools-dev,
                     qt6-websockets-dev,
                     qtkeychain-qt6-dev,
                     texlive-latex-base,
                     zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://nextcloud.com/install/#install-clients
Vcs-Browser: https://salsa.debian.org/owncloud-team/nextcloud-desktop
Vcs-Git: https://salsa.debian.org/owncloud-team/nextcloud-desktop.git

Package: nextcloud-desktop
Architecture: any
Depends: libnextcloudsync0t64 (= ${binary:Version}),
         libqt6sql6-sqlite,
         nextcloud-desktop-common,
         nextcloud-desktop-l10n,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: nextcloud-desktop-doc,
Description: Nextcloud folder synchronization tool
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 nextcloud-desktop provides the graphical client specialising in
 synchronizing with cloud storage provided by Nextcloud.

Package: caja-nextcloud
Architecture: all
Multi-Arch: foreign
Depends: caja,
         nextcloud-desktop (<< ${source:Version}.1~),
         nextcloud-desktop (>= ${source:Version}),
         nextcloud-desktop-common,
         python3-caja,
         python3-gi,
         ${misc:Depends},
Enhances: caja,
Description: Nextcloud integration for Caja
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 Caja Nextcloud is an extension that integrates the Nextcloud web service with
 your MATE Desktop.

Package: dolphin-nextcloud
Architecture: any
Multi-Arch: same
Section: kde
Depends: dolphin (>= 4:24.08.0),
         libnextcloudsync0t64 (= ${binary:Version}),
         nextcloud-desktop,
         ${misc:Depends},
         ${shlibs:Depends},
Enhances: dolphin,
Description: Nextcloud integration for Dolphin
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 Dolphin Nextcloud is an extension that integrates the Nextcloud web service
 with your Plasma Desktop (KDE).

Package: libnextcloudsync-dev
Architecture: any
Multi-Arch: same
Depends: libnextcloudsync0t64 (= ${binary:Version}), ${misc:Depends},
Section: libdevel
Description: Nextcloud folder synchronization - development files
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package contains the library development files.

Package: libnextcloudsync0t64
Provides: ${t64:Provides},
Replaces: libnextcloudsync0,
Breaks: libnextcloudsync0 (<< ${source:Version}),
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Section: libs
Description: Nextcloud folder synchronization - libraries
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the library for nextcloud-desktop.

Package: nautilus-nextcloud
Architecture: all
Multi-Arch: foreign
Section: gnome
Depends: nautilus,
         nextcloud-desktop (<< ${source:Version}.1~),
         nextcloud-desktop (>= ${source:Version}),
         nextcloud-desktop-common,
         python3-nautilus,
         ${misc:Depends},
Suggests: nautilus-script-manager,
Enhances: nautilus,
Description: Nextcloud integration for Nautilus
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 Nautilus Nextcloud is an extension that integrates the Nextcloud web service
 with your GNOME Desktop.

Package: nemo-nextcloud
Architecture: all
Multi-Arch: foreign
Depends: nemo,
         nemo-python,
         nextcloud-desktop (<< ${source:Version}.1~),
         nextcloud-desktop (>= ${source:Version}),
         nextcloud-desktop-common,
         ${misc:Depends},
Enhances: nemo,
Description: Nextcloud integration for Nemo
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 Nemo Nextcloud is an extension that integrates the Nextcloud web service with
 your Cinnamon Desktop.

Package: nextcloud-desktop-cmd
Architecture: any
Depends: libnextcloudsync0t64 (= ${binary:Version}),
         libqt6sql6-sqlite,
         nextcloud-desktop-common,
         nextcloud-desktop-l10n,
         ${misc:Depends},
         ${shlibs:Depends},
Description: folder synchronization with an Nextcloud server - cmd client
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the command line client specialising in
 synchronizing with cloud storage provided by Nextcloud.

Package: nextcloud-desktop-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Nextcloud folder synchronization - common data
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides data that is shared between different packages.

Package: nextcloud-desktop-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using},
Section: doc
Description: Nextcloud folder synchronization - documentation
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the documentation.

Package: nextcloud-desktop-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: localization
Description: Nextcloud folder synchronization - localization
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the localization.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

include /usr/share/dpkg/pkg-info.mk

webengine_archs := amd64 arm64 i386
ifeq ($(DEB_HOST_ARCH), $(filter $(DEB_HOST_ARCH),$(webengine_archs)))
BUILD_WEBENGINE := ON
else
BUILD_WEBENGINE := OFF
endif

CONFIGURE_OPTIONS := -DCMAKE_INSTALL_PREFIX=/usr \
	-DBUILD_UPDATER=OFF \
	-DPLUGINDIR=/usr/lib/$(DEB_HOST_GNU_TYPE)/qt6/plugins \
	-DEXTERNAL_VERSION=$(DEB_VERSION)

%:
	dh $@

override_dh_auto_configure:
ifeq (-i,$(findstring -i, $(DH_INTERNAL_OPTIONS)))
	@echo " -- Configure for arch all only build --"
	dh_auto_configure -- \
		-DBUILD_TESTING=OFF \
		-DBUILD_SHELL_INTEGRATION_DOLPHIN=OFF \
		-DBUILD_WITH_WEBENGINE=OFF \
		$(CONFIGURE_OPTIONS)
else
	dh_auto_configure -- \
		-DUNIT_TESTING=ON \
		-DBUILD_WITH_WEBENGINE=$(BUILD_WEBENGINE) \
		$(CONFIGURE_OPTIONS)
endif
execute_before_dh_auto_build-arch:
	dh_auto_build -- doc-man
	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI.cpp.*"
	#tests are not built with all hardening, to debug stuff more easily
	@echo "blhc: ignore-line-regexp: .*Test.dir/.*"
	@echo "blhc: ignore-line-regexp: .*/check_.*.dir/.*"
	@echo "blhc: ignore-line-regexp: .*/test/csync/torture_.*"
	@echo "blhc: ignore-line-regexp: .*/test/.*"
	@echo "blhc: ignore-line-regexp: .*/LargeSyncBench\.dir/.*"

# unfortunately icons and translations are installed only together with the gui, so we need to run dh_auto_build
execute_before_dh_auto_build-indep:
	dh_auto_build -- doc-html
	dh_auto_build -- -C shell_integration/nautilus

override_dh_auto_test-arch:
	mkdir -p obj-$(DEB_HOST_GNU_TYPE)/config
	- LC_ALL=C.UTF-8 XDG_CONFIG_HOME=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/config xvfb-run -a \
	       -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
	       -- dh_auto_test --no-parallel
	rm -r obj-$(DEB_HOST_GNU_TYPE)/config

override_dh_auto_test-indep:

execute_after_dh_sphinxdoc:
	$(RM) -v debian/tmp/usr/share/doc/client/nextcloud-client/html/unthemed/.buildinfo

execute_after_dh_link-indep:
	jdupes -rl debian/nextcloud-desktop-doc/usr

## nextcloud-desktop 3.16.4-20250429.181655.0febbee77-1.0~noble1trisquel4

=== debian/changelog ===
nextcloud-desktop (3.16.4-20250429.181655.0febbee77-1.0~noble1trisquel4) ecne-backports; urgency=medium

  * Backported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 30 Apr 2025 00:08:51 +0000

nextcloud-desktop (3.16.4-20250429.181655.0febbee77-1.0~noble1) noble; urgency=medium

  * Merge tag 'v3.16.4' into HEAD

 -- Drone User <drone@noemail.invalid>  Tue, 29 Apr 2025 18:17:03 +0000

nextcloud-desktop (3.16.4-20250428.101035.0febbee77-1.0~noble1) noble; urgency=medium

  * prepare for release 3.16.4

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 28 Apr 2025 12:10:35 +0200

nextcloud-desktop (3.16.3-20250428.100056.3ba8763a7-1.0~noble1) noble; urgency=medium

  * Merge pull request #8215 from nextcloud/backport/8209/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 28 Apr 2025 12:00:56 +0200

nextcloud-desktop (3.16.3-20250425.135231.b6d74509f-1.0~noble1) noble; urgency=medium

  * fix(propagation): ensure we run file removal propagation steps

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 25 Apr 2025 15:52:31 +0200

nextcloud-desktop (3.16.3-20250425.101926.30db63bac-1.0~noble1) noble; urgency=medium

  * fix(propagation): more logs on folder deletions propagation step

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 25 Apr 2025 12:19:26 +0200

nextcloud-desktop (3.16.3-20250425.120030.6f97ee8da-1.0~noble1) noble; urgency=medium

  * fix(propagation): ensure we delete pending folders before terminating

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 25 Apr 2025 14:00:30 +0200

nextcloud-desktop (3.16.3-20250425.081115.3f57fa1b4-1.0~noble1) noble; urgency=medium

  * fix(filesystem): use platform specific API to make a file read-only

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 25 Apr 2025 10:11:15 +0200

nextcloud-desktop (3.16.3-20250425.074708.b5a67fe37-1.0~noble1) noble; urgency=medium

  * fix(filesystem): log more permissions when deleting a file fails

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 25 Apr 2025 09:47:08 +0200

nextcloud-desktop (3.16.3-20250428.075958.5760ce349-1.0~noble1) noble; urgency=medium

  * Merge pull request #8214 from nextcloud/backport/8201/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 28 Apr 2025 09:59:58 +0200

nextcloud-desktop (3.16.3-20250424.112046.d92cca18f-1.0~noble1) noble; urgency=medium

  * fix(gui): resize share search results list dependent on required space

 -- Jyrki Gadinger <nilsding@nilsding.org>  Thu, 24 Apr 2025 13:20:46 +0200

nextcloud-desktop (3.16.3-20250428.062308.7c996d356-1.0~noble1) noble; urgency=medium

  * Merge pull request #8211 from nextcloud/backport/8200/stable-3.16

 -- Jyrki Gadinger <nilsding@nilsding.org>  Mon, 28 Apr 2025 08:23:08 +0200

nextcloud-desktop (3.16.3-20250424.100948.72bc312bc-1.0~noble1) noble; urgency=medium

  * fix(assert): remove runtime assert that could crash production builds

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 24 Apr 2025 12:09:48 +0200

nextcloud-desktop (3.16.3-20250428.030428.8c4576fe9-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 28 Apr 2025 03:04:28 +0000

nextcloud-desktop (3.16.3-20250427.030102.473c6eee8-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 27 Apr 2025 03:01:02 +0000

nextcloud-desktop (3.16.3-20250426.030150.b811a337c-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 26 Apr 2025 03:01:50 +0000

nextcloud-desktop (3.16.3-20250425.030107.8970092d9-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 25 Apr 2025 03:01:07 +0000

nextcloud-desktop (3.16.3-20250424.101024.2ac7a9d50-1.0~noble1) noble; urgency=medium

  * Merge pull request #8199 from nextcloud/backport/8193/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 24 Apr 2025 12:10:24 +0200

nextcloud-desktop (3.16.3-20250423.162654.228625563-1.0~noble1) noble; urgency=medium

  * fix(rename): avoid hitting runtime assert when renaming virtual files

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 23 Apr 2025 18:26:54 +0200

nextcloud-desktop (3.16.3-20250423.095434.47b3a5c8c-1.0~noble1) noble; urgency=medium

  * fix(rename): handle complex rename/move scenario

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 23 Apr 2025 11:54:34 +0200

nextcloud-desktop (3.16.3-20250422.140329.5bd6a25bb-1.0~noble1) noble; urgency=medium

  * feat(discovery): add more info for renamed items

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 22 Apr 2025 16:03:29 +0200

nextcloud-desktop (3.16.3-20250422.140305.ed48808fd-1.0~noble1) noble; urgency=medium

  * feat(discovery): add missing inode info for discovered files

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 22 Apr 2025 16:03:05 +0200

nextcloud-desktop (3.16.3-20250422.140212.9c73c97c9-1.0~noble1) noble; urgency=medium

  * perf(discovery): optimize empty strings

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 22 Apr 2025 16:02:12 +0200

nextcloud-desktop (3.16.3-20250424.095106.0588b9f0f-1.0~noble1) noble; urgency=medium

  * Merge pull request #8198 from nextcloud/backport/8195/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 24 Apr 2025 11:51:06 +0200

nextcloud-desktop (3.16.3-20250424.082741.0ced1ee5b-1.0~noble1) noble; urgency=medium

  * fix(filesystem): warn when trying to delete an already deleted file

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 24 Apr 2025 10:27:41 +0200

nextcloud-desktop (3.16.3-20250424.080747.3fee74a43-1.0~noble1) noble; urgency=medium

  * fix(filesystem): still use std::filesystem::remove for folders



## nextcloud-desktop 3.16.5-20250613.191603.930e6e637-1.0~jammy1+11.0trisquel4

=== debian/changelog ===
nextcloud-desktop (3.16.5-20250613.191603.930e6e637-1.0~jammy1+11.0trisquel4) aramo-backports; urgency=medium

  * Backported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 14 Jun 2025 00:44:48 +0000

nextcloud-desktop (3.16.5-20250613.191603.930e6e637-1.0~jammy1) jammy; urgency=medium

  * Merge tag 'v3.16.5' into HEAD

 -- Drone User <drone@noemail.invalid>  Fri, 13 Jun 2025 19:16:12 +0000

nextcloud-desktop (3.16.5-20250602.145422.930e6e637-1.0~jammy1) jammy; urgency=medium

  * chore: prepare for release 3.16.4

 -- Jyrki Gadinger <nilsding@nilsding.org>  Mon, 2 Jun 2025 16:54:22 +0200

nextcloud-desktop (3.16.4-20250602.145045.61f2119f5-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8332 from nextcloud/backport/8330/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 2 Jun 2025 16:50:45 +0200

nextcloud-desktop (3.16.4-20250602.135917.209530ae9-1.0~jammy1) jammy; urgency=medium

  * fix(lockfilejobs): ensure using correct file path

 -- Jyrki Gadinger <nilsding@nilsding.org>  Mon, 2 Jun 2025 15:59:17 +0200

nextcloud-desktop (3.16.4-20250602.131422.efee8ed49-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8328 from nextcloud/backport/8290/stable-3.16

 -- Jyrki Gadinger <nilsding@nilsding.org>  Mon, 2 Jun 2025 15:14:22 +0200

nextcloud-desktop (3.16.4-20250521.131313.b34408aff-1.0~jammy1) jammy; urgency=medium

  * fix(propagator): touch folder paths if permissions changed

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 21 May 2025 15:13:13 +0200

nextcloud-desktop (3.16.4-20250520.172553.012a6fc7d-1.0~jammy1) jammy; urgency=medium

  * fix(filesystem): only change folder permissions if required

 -- Jyrki Gadinger <nilsding@nilsding.org>  Tue, 20 May 2025 19:25:53 +0200

nextcloud-desktop (3.16.4-20250602.122713.c28d0baf9-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8327 from nextcloud/backport/8297/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 2 Jun 2025 14:27:13 +0200

nextcloud-desktop (3.16.4-20250523.175341.34068fb2b-1.0~jammy1) jammy; urgency=medium

  * fix(permissions): handle properly CanRead permission from server

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 23 May 2025 19:53:41 +0200

nextcloud-desktop (3.16.4-20250602.112852.3db0f62b6-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8326 from nextcloud/backport/8246/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 2 Jun 2025 13:28:52 +0200

nextcloud-desktop (3.16.4-20250507.215452.78d7523ff-1.0~jammy1) jammy; urgency=medium

  * fix(readonly): use native separator in paths before calling windows API

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 7 May 2025 23:54:52 +0200

nextcloud-desktop (3.16.4-20250602.112101.f64a42ac7-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8322 from nextcloud/backport/8321/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 2 Jun 2025 13:21:01 +0200

nextcloud-desktop (3.16.4-20250602.085757.97ddd7134-1.0~jammy1) jammy; urgency=medium

  * fix(windows): when deleting a file use safe long windows path

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 2 Jun 2025 10:57:57 +0200

nextcloud-desktop (3.16.4-20250530.155304.2fcaf2644-1.0~jammy1) jammy; urgency=medium

  * fix(readonly): avoid changing permissions when not needed

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 30 May 2025 17:53:04 +0200

nextcloud-desktop (3.16.4-20250528.151446.2d9e9a007-1.0~jammy1) jammy; urgency=medium

  * fix(readonly): avoid implicit hydration when modifying permissions

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 28 May 2025 17:14:46 +0200

nextcloud-desktop (3.16.4-20250602.105833.d9094c96e-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8325 from nextcloud/backport/8243/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 2 Jun 2025 12:58:33 +0200

nextcloud-desktop (3.16.4-20250507.144903.4ac2fc4a9-1.0~jammy1) jammy; urgency=medium

  * fix(readonly): apply ACL also to files inside read-only folders

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 7 May 2025 16:49:03 +0200

nextcloud-desktop (3.16.4-20250602.105057.ef3204aec-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8324 from nextcloud/backport/8241/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 2 Jun 2025 12:50:57 +0200

nextcloud-desktop (3.16.4-20250507.123743.985a0a766-1.0~jammy1) jammy; urgency=medium

  * fix(readonly): enable MOVE rollback when folder is read-only

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 7 May 2025 14:37:43 +0200

nextcloud-desktop (3.16.4-20250602.103757.39d0868a1-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8323 from nextcloud/backport/8240/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 2 Jun 2025 12:37:57 +0200

nextcloud-desktop (3.16.4-20250505.164035.dfa6a6335-1.0~jammy1) jammy; urgency=medium

  * fix(rename): avoid failing hard when rename is rejected by server

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 5 May 2025 18:40:35 +0200

nextcloud-desktop (3.16.4-20250601.025740.aec161fb7-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 1 Jun 2025 02:57:40 +0000

nextcloud-desktop (3.16.4-20250531.025817.66887eab1-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 31 May 2025 02:58:17 +0000

nextcloud-desktop (3.16.4-20250509.130725.1c91dc160-1.0~jammy1) jammy; urgency=medium

  * feat(windows): use cmake to configure windows integration DLL version

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 9 May 2025 15:07:25 +0200

nextcloud-desktop (3.16.4-20250530.082551.abe65bec0-1.0~jammy1) jammy; urgency=medium
